<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: AdminUsersLibraryManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_admin_users_library_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_admin_users_library_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AdminUsersLibraryManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_admin_users_library_manager_8h_source.html">AdminUsersLibraryManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for AdminUsersLibraryManager:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_users_library_manager__inherit__graph.png" border="0" usemap="#_admin_users_library_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="_admin_users_library_manager_inherit__map" id="_admin_users_library_manager_inherit__map">
<area shape="rect" id="node2" href="class_admin_library_manager.html" title="AdminLibraryManager" alt="" coords="23,80,171,107"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for AdminUsersLibraryManager:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_users_library_manager__coll__graph.png" border="0" usemap="#_admin_users_library_manager_coll__map" alt="Collaboration graph"/></div>
<map name="_admin_users_library_manager_coll__map" id="_admin_users_library_manager_coll__map">
<area shape="rect" id="node2" href="class_admin_library_manager.html" title="AdminLibraryManager" alt="" coords="23,80,171,107"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a6e84e1cce8f7e66bd610adfefba9737e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a6e84e1cce8f7e66bd610adfefba9737e">search</a> ()</td></tr>
<tr class="separator:a6e84e1cce8f7e66bd610adfefba9737e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840999765e03c776542d26810fb9dce4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a840999765e03c776542d26810fb9dce4">addItem</a> ()</td></tr>
<tr class="separator:a840999765e03c776542d26810fb9dce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac241d538666eb9518efdc574ceb98d82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#ac241d538666eb9518efdc574ceb98d82">editItem</a> ()</td></tr>
<tr class="separator:ac241d538666eb9518efdc574ceb98d82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdc75b2c88c518d322859875159f7ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#aecdc75b2c88c518d322859875159f7ff">removeItem</a> ()</td></tr>
<tr class="separator:aecdc75b2c88c518d322859875159f7ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7c5516b21ce114aab80e368fc9846d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a2a7c5516b21ce114aab80e368fc9846d">sendEditUserRequest</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin, QString password)</td></tr>
<tr class="separator:a2a7c5516b21ce114aab80e368fc9846d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af35dcd502d2f2bc79201c8441a601c15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#af35dcd502d2f2bc79201c8441a601c15">getUserRequestResult</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin)</td></tr>
<tr class="separator:af35dcd502d2f2bc79201c8441a601c15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dd572fcdf6f3fc779b408b536f4c94c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a3dd572fcdf6f3fc779b408b536f4c94c">getSearchUserRequestResult</a> (std::vector&lt; <a class="el" href="class_user.html">User</a> &gt; users)</td></tr>
<tr class="separator:a3dd572fcdf6f3fc779b408b536f4c94c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43347bf727ba1230ed52a96e3f0bddad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a43347bf727ba1230ed52a96e3f0bddad">getRemoveUserFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a43347bf727ba1230ed52a96e3f0bddad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_slots_class_admin_library_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_slots_class_admin_library_manager')"><img src="closed.png" alt="-"/>&#160;Public Slots inherited from <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td></tr>
<tr class="memitem:aeaff387129397aedde35ca1f86856567 inherit pub_slots_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">search</a> ()</td></tr>
<tr class="separator:aeaff387129397aedde35ca1f86856567 inherit pub_slots_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a963a092b054b3b7415e54d2eca4f8d40 inherit pub_slots_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">addItem</a> ()</td></tr>
<tr class="separator:a963a092b054b3b7415e54d2eca4f8d40 inherit pub_slots_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1bf58c2d6bf899dc4b041c488660c7 inherit pub_slots_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#aee1bf58c2d6bf899dc4b041c488660c7">editItem</a> ()</td></tr>
<tr class="separator:aee1bf58c2d6bf899dc4b041c488660c7 inherit pub_slots_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e08b0ada795d4fc3d0ec16be703091f inherit pub_slots_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">removeItem</a> ()</td></tr>
<tr class="separator:a2e08b0ada795d4fc3d0ec16be703091f inherit pub_slots_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac399beaf3586b22edc47994502bb4946 inherit pub_slots_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">setCurrentSelectedItem</a> (QListWidgetItem *item)</td></tr>
<tr class="separator:ac399beaf3586b22edc47994502bb4946 inherit pub_slots_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:acdda0722f5574876dd1b95594589ca29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#acdda0722f5574876dd1b95594589ca29">sendUserRequest</a> (QString username)</td></tr>
<tr class="separator:acdda0722f5574876dd1b95594589ca29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95bf77f1f271264f4d9889200d91cd96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a95bf77f1f271264f4d9889200d91cd96">sendSearchUserRequest</a> (QString id, QString name)</td></tr>
<tr class="separator:a95bf77f1f271264f4d9889200d91cd96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cf7536297c50dc0462aad73b2959527"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a5cf7536297c50dc0462aad73b2959527">sendAddUserToLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user, bool makeAdmin)</td></tr>
<tr class="separator:a5cf7536297c50dc0462aad73b2959527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e86ab1471f38a1907dd69149c8706a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a86e86ab1471f38a1907dd69149c8706a">sendEditUserInLibraryRequest</a> (QString oldId, <a class="el" href="class_user.html">User</a> newUser, bool isAdmin, QString newPassword)</td></tr>
<tr class="separator:a86e86ab1471f38a1907dd69149c8706a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cfdef06fd1f3f129645c2df0f4aedec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#a7cfdef06fd1f3f129645c2df0f4aedec">sendRemoveUserFromLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user)</td></tr>
<tr class="separator:a7cfdef06fd1f3f129645c2df0f4aedec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa37e06de4238dea20dfd2632726b8fdd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#aa37e06de4238dea20dfd2632726b8fdd">sendAddUserToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aa37e06de4238dea20dfd2632726b8fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa84128ee88d2362df4df89d02a4b1311"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#aa84128ee88d2362df4df89d02a4b1311">sendEditUserInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aa84128ee88d2362df4df89d02a4b1311"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae46c10ae7a89c79a4121db0e17573033"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_users_library_manager.html#ae46c10ae7a89c79a4121db0e17573033">AdminUsersLibraryManager</a> (QWidget *parent=0)</td></tr>
<tr class="separator:ae46c10ae7a89c79a4121db0e17573033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_admin_library_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_admin_library_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td></tr>
<tr class="memitem:a51b64c42d4ce0fc1a39134e7dd388ef3 inherit pub_methods_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a> (QWidget *parent=0)</td></tr>
<tr class="separator:a51b64c42d4ce0fc1a39134e7dd388ef3 inherit pub_methods_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_class_admin_library_manager"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_admin_library_manager')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td></tr>
<tr class="memitem:a588ee7ab6755c681e967e347ac56d627 inherit pro_methods_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">setupSearchBox</a> (QString nameLabel=&quot;Name:&quot;, QString idLabel=&quot;Id:&quot;)</td></tr>
<tr class="separator:a588ee7ab6755c681e967e347ac56d627 inherit pro_methods_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb0c03bb57aceeb27dbb844f900b2a3 inherit pro_methods_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">setupButtons</a> ()</td></tr>
<tr class="separator:abeb0c03bb57aceeb27dbb844f900b2a3 inherit pro_methods_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6811de04a670a1a66112e5f8e7d83988 inherit pro_methods_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">setupSearchResultBox</a> ()</td></tr>
<tr class="separator:a6811de04a670a1a66112e5f8e7d83988 inherit pro_methods_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_admin_library_manager"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_admin_library_manager')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td></tr>
<tr class="memitem:a59f0cac727aae79f15bbd6095c692d69 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59f0cac727aae79f15bbd6095c692d69"></a>
QListWidgetItem *&#160;</td><td class="memItemRight" valign="bottom"><b>selectedItem</b></td></tr>
<tr class="separator:a59f0cac727aae79f15bbd6095c692d69 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff09703fac7b47f5116895fd99a0597 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afff09703fac7b47f5116895fd99a0597"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>searchBoxArea</b></td></tr>
<tr class="separator:afff09703fac7b47f5116895fd99a0597 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52197860c871634ea6e881d14c4a98c5 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52197860c871634ea6e881d14c4a98c5"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>findByNameInput</b></td></tr>
<tr class="separator:a52197860c871634ea6e881d14c4a98c5 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90763ecd1107629d5029bec939d196fa inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90763ecd1107629d5029bec939d196fa"></a>
QLineEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>findByIdInput</b></td></tr>
<tr class="separator:a90763ecd1107629d5029bec939d196fa inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada3f3034d1b289427464c2be1cc375c2 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada3f3034d1b289427464c2be1cc375c2"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>searchButton</b></td></tr>
<tr class="separator:ada3f3034d1b289427464c2be1cc375c2 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61a1d7306f123995ccbf9215edb29a4 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab61a1d7306f123995ccbf9215edb29a4"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>buttonsArea</b></td></tr>
<tr class="separator:ab61a1d7306f123995ccbf9215edb29a4 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ffe008628ccc754165902f123f0dc1 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73ffe008628ccc754165902f123f0dc1"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>addButton</b></td></tr>
<tr class="separator:a73ffe008628ccc754165902f123f0dc1 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade0bf9241ca57cd4cdd02fabfb699a44 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade0bf9241ca57cd4cdd02fabfb699a44"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>editButton</b></td></tr>
<tr class="separator:ade0bf9241ca57cd4cdd02fabfb699a44 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a898026f8e6f36bdfb00c580b77c082a8 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a898026f8e6f36bdfb00c580b77c082a8"></a>
QPushButton *&#160;</td><td class="memItemRight" valign="bottom"><b>removeButton</b></td></tr>
<tr class="separator:a898026f8e6f36bdfb00c580b77c082a8 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2753ff61f6a78c5028c1d8605bd76cec inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2753ff61f6a78c5028c1d8605bd76cec"></a>
QGroupBox *&#160;</td><td class="memItemRight" valign="bottom"><b>searchResultsArea</b></td></tr>
<tr class="separator:a2753ff61f6a78c5028c1d8605bd76cec inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a041486878a94ee918db5c24a55883e87 inherit pro_attribs_class_admin_library_manager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a041486878a94ee918db5c24a55883e87"></a>
QListWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>searchResultsList</b></td></tr>
<tr class="separator:a041486878a94ee918db5c24a55883e87 inherit pro_attribs_class_admin_library_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Lets admin manage users of the library </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae46c10ae7a89c79a4121db0e17573033"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AdminUsersLibraryManager::AdminUsersLibraryManager </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New widget </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>widget to show widget in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new widget</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a840999765e03c776542d26810fb9dce4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::addItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to add new item in database </p>

</div>
</div>
<a class="anchor" id="ac241d538666eb9518efdc574ceb98d82"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::editItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to edit selected item </p>

</div>
</div>
<a class="anchor" id="a43347bf727ba1230ed52a96e3f0bddad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::getRemoveUserFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3dd572fcdf6f3fc779b408b536f4c94c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::getSearchUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_user.html">User</a> &gt;&#160;</td>
          <td class="paramname"><em>users</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">users</td><td>list of users matching query </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af35dcd502d2f2bc79201c8441a601c15"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::getUserRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>current user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aecdc75b2c88c518d322859875159f7ff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::removeItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Opens dialog to remove selected item from database </p>

</div>
</div>
<a class="anchor" id="a6e84e1cce8f7e66bd610adfefba9737e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::search </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Search library for user </p>

</div>
</div>
<a class="anchor" id="a5cf7536297c50dc0462aad73b2959527"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendAddUserToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>makeAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to add </td></tr>
    <tr><td class="paramname">makeAdmin</td><td>true iff new user should be an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa37e06de4238dea20dfd2632726b8fdd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendAddUserToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a86e86ab1471f38a1907dd69149c8706a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendEditUserInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>newUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>newPassword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldId</td><td>email of user to edit </td></tr>
    <tr><td class="paramname">newUser</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">newPassword</td><td>password of new user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa84128ee88d2362df4df89d02a4b1311"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendEditUserInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2a7c5516b21ce114aab80e368fc9846d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendEditUserRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to change current user to this new one </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">password</td><td>new password </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7cfdef06fd1f3f129645c2df0f4aedec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendRemoveUserFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>user to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a95bf77f1f271264f4d9889200d91cd96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendSearchUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>email of user to search </td></tr>
    <tr><td class="paramname">name</td><td>name of user to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acdda0722f5574876dd1b95594589ca29"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminUsersLibraryManager::sendUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username of user to get info about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/widgets/AdminUsersLibraryManager/<a class="el" href="_admin_users_library_manager_8h_source.html">AdminUsersLibraryManager.h</a></li>
<li>gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_admin_users_library_manager.html">AdminUsersLibraryManager</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
